=== debian/changelog ===
prospector (0.11.7-3) unstable; urgency=medium

  * deb/tests/control: updated pep8 dependency.

 -- Daniel Stender <stender@debian.org>  Sun, 06 Mar 2016 12:44:27 +0100

prospector (0.11.7-2) unstable; urgency=medium

  * Updated maintainer email address.
  * deb/control:
    + updated pep8 dependency.
    + bumped Standards-Version to 3.9.7 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Fri, 04 Mar 2016 12:49:45 +0100

prospector (0.11.7-1) unstable; urgency=medium

  * New upstream release (Closes: #807305).
  * deb/control:
    + updated needed versions of build-deps.
    + add sphinx-argparse and pylint-flask to build-deps.
    + set Vcs-Browser URL to HTTPS.
    + dropped Testsuite field (deprecated).
    + added vulture and python-pyroma to Recommends.
    + updated description on supported tools.
  * deb/copyright: expanded copyright span.
  * deb/rules:
    + dropped nodocs option in dh_installdocs override (obsolete).
    + generate README from README.rst (changed from Markdown).
  * manpage: added info on how to run with the additional tools and
    on support of pylint-flask.
  * Dropped:
    + docs-no-sphinx-argparse.patch (sphinx-argparse available now).
    + docs-correct-some-flaws.patch (applied upstream).
  * Updated remaining patches.

 -- Daniel Stender <debian@danielstender.com>  Sun, 31 Jan 2016 18:18:25 +0100

prospector (0.10.1+git20150706.a00e191-1) unstable; urgency=medium

  * Initial release (Closes: #781165).

 -- Daniel Stender <debian@danielstender.com>  Wed, 19 Aug 2015 13:32:00 +0200
