=== debian/control ===
Source: prospector
Section: python
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Uploaders:
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python (>= 2.7),
 python-setuptools,
 python-sphinx,
 python-sphinx-argparse,
 pandoc,
 txt2man,
 python-nose,
 python-yaml,
 python-requirements-detector (>= 0.4.1),
 python-setoptconf,
 pyflakes (>= 0.8.1),
 pylint (>= 1.5),
 python-pylint-common (>= 0.2.2),
 python-pylint-celery,
 python-pylint-django (>= 0.7),
 python-pylint-flask,
 python-pep8,
 python-pep8-naming,
 pep257,
 python-mccabe,
 dodgy
Standards-Version: 3.9.7
Homepage: http://prospector.readthedocs.org/en/master/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/prospector/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/prospector/trunk/

Package: prospector
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-pyroma,
 vulture
Description: comprehensive static Python code analyzer
 Prospector analyzes Python source files and puts out information about
 coding errors, potential problems, convention violation and unnecessary
 complexity.
 .
 It provides an uniform and flexible interface for these tools:
  - Pylint (extensive Python code checker)
  - Pyflakes (checks Python code for logical errors)
  - Pep8 (checks for Python coding style conventions)
  - Pep8-naming (checks for naming conventions not covered by Pep8)
  - McCabe (checks for cyclomatic code complexity)
  - Pep257 (checks for compliance with the docstring conventions)
  - Dodgy (checks for hard coded passwords, VCS diff checkins etc.)
  - Vulture (scans Python programs for unused code)  
  - Pyroma (Python packaging quality checker)
 .
 Prospector detects if code employs specific frameworks and libraries,
 and checks them by corresponding Pylint plugins:
  - Django (web application framework)
  - Celery (asynchronous task/job queue)
  - Flask (web application framework)
