=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=prospector

VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m nose -v tests/" dh_auto_test

override_dh_auto_install:
	python setup.py install --root=debian/prospector --install-layout=deb --install-lib=/usr/share/prospector --install-scripts=/usr/share/prospector

override_dh_installdocs:
	pandoc -f rst -t plain -o .pybuild/README README.rst
	dh_installdocs .pybuild/README
	PYTHONPATH=. sphinx-build -N -bhtml docs/ debian/prospector/usr/share/doc/prospector/html/

override_dh_installchangelogs:
	pandoc -f markdown_github -t plain -o .pybuild/CHANGELOG CHANGELOG.md
	dh_installchangelogs .pybuild/CHANGELOG

override_dh_installman:
	txt2man -s 1 -v "prospector" -t "prospector" -r "$(VERSION)" -d "$(DEBDATE)" debian/prospector.txt > .pybuild/prospector.1
	dh_installman .pybuild/prospector.1
