=== debian/tests/control ===
Tests: prospector
Depends: python, python-nose, python-yaml, dodgy, python-pep8, python-pep8-naming, pyflakes, pylint, python-mccabe, pep257
