## prospector 0.12.2

=== debian/changelog ===
prospector (0.12.2-1) unstable; urgency=medium

  * New upstream release (Closes: #833659).
  * change over to pycodestyle (from pep8):
    + depend on python3-pycodestyle in deb/control.
    + update extended description in deb/control.
    + update manpage (deb/prospector.txt).
    + update deps for PEP-8 tests in deb/tests/control.
  * deb/control:
    + add version to python3-mccabe build dep.
  * deb/prospector.txt:
    + use more line breaks to make the source easier to handle.
    + add info on new vscode output format in OPTIONS.
    + some cosmetics in info block on supported tools.

 -- Daniel Stender <stender@debian.org>  Sat, 13 Aug 2016 21:37:02 +0200

prospector (0.12-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + build depend on pydocstyle instead of pep257.
    + updated versioned build and package deps.
    + updated description of binary package, dropped dep against
      pep257.
  * deb/copyright: expanded copyright span.
  * deb/tests/control: updated.
  * manpage: updated, removed obsolete stuff, cosmectics.
  * Dropped sort-for-eggs.patch (applied upstream).
  * Added deb/NEWS (with info on deprecated pep257).

 -- Daniel Stender <stender@debian.org>  Fri, 24 Jun 2016 22:53:55 +0200

prospector (0.11.7-7) unstable; urgency=medium

  * deb/control: bumped standards to 3.9.8 (no changes needed).
  * deb/rules: dropped LC_ALL=C.UTF-8 in dh_auto_install override.
  * Added sort-for-eggs.patch, deb/source/options.

 -- Daniel Stender <stender@debian.org>  Sun, 29 May 2016 13:02:31 +0200

prospector (0.11.7-6) unstable; urgency=medium

  * deb/rules: set LC_ALL for custom auto_install to support reproducible
    builds (different locales alter the sorting order of egg-info/requires.txt).

 -- Daniel Stender <stender@debian.org>  Fri, 01 Apr 2016 22:01:56 +0200

prospector (0.11.7-5) unstable; urgency=medium

  * Upload to unstable.
  * deb/control: added versioned binary package deps for needed packages
    build on Python3 (pep257 and dodgy).

 -- Daniel Stender <stender@debian.org>  Thu, 24 Mar 2016 12:53:22 +0100

prospector (0.11.7-4) experimental; urgency=medium

  * Build/run on Python 3:
    + changed deps in deb/control (and sorted logically).
    + build with dh_python3, install with python3 in deb/rules.
    + updated deps in deb/tests/control.
    + test against python3 in deb/tests/prospector.
  * deb/rules: use Pybuild custom args also for dh_auto_install.

 -- Daniel Stender <stender@debian.org>  Wed, 23 Mar 2016 09:53:16 +0100
