=== debian/control ===
Source: prospector
Section: python
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Uploaders:
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-setuptools,
 python3-nose,
 python3-yaml,
 python3-requirements-detector (>= 0.4.1),
 python3-setoptconf,
 python3-pyflakes (>= 0.8.1),
 pylint3 (>= 1.5.6),
 python3-pylint-common (>= 0.2.2),
 python3-pylint-celery,
 python3-pylint-django (>= 0.7.2),
 python3-pylint-flask,
 python3-pycodestyle,
 python3-pep8-naming,
 pydocstyle,
 python3-mccabe (>= 0.5.0),
 dodgy (>= 0.1.9),
 python3-sphinx,
 python3-sphinx-argparse,
 pandoc,
 txt2man
Standards-Version: 3.9.8
Homepage: http://prospector.readthedocs.org/en/master/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/prospector/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/prospector/trunk/

Package: prospector
Architecture: all
Depends:
 dodgy (>= 0.1.9),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python3-pyroma (>= 2.0.2),
 vulture (>= 0.8.1-2)
Description: comprehensive static Python code analyzer
 Prospector analyzes Python source files and puts out information about
 coding errors, potential problems, convention violation and unnecessary
 complexity.
 .
 It provides an uniform and flexible interface for these tools:
  - Pylint (extensive Python code checker)
  - Pyflakes (checks Python code for logical errors)
  - Pycodestyle (checks for PEP-8 coding style conventions)
  - Pep8-naming (checks for PEP-8 naming conventions not covered by pycodestyle)
  - McCabe (checks for cyclomatic code complexity)
  - Pydocstyle (checks for compliance with the PEP-257 docstring conventions)
  - Dodgy (checks for hard coded passwords, VCS diff checkins etc.)
  - Vulture (scans Python programs for unused code)  
  - Pyroma (Python packaging quality checker)
 .
 Prospector detects if code employs specific frameworks and libraries,
 and checks them by corresponding Pylint plugins:
  - Django (web application framework)
  - Celery (asynchronous task/job queue)
  - Flask (web application framework)
