## prospector 0.12.4

=== debian/changelog ===
prospector (0.12.4-2) unstable; urgency=medium

  * add unpin-pycodestyle.patch (Closes: #852048).

 -- Daniel Stender <stender@debian.org>  Tue, 07 Feb 2017 07:50:05 +0100

prospector (0.12.4-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: change Section to "devel" (application-in-library-section).

 -- Daniel Stender <stender@debian.org>  Fri, 02 Dec 2016 18:27:18 +0100
