=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: prospector
-Section: python
+Section: devel
 Priority: optional
 Maintainer: Daniel Stender <stender@debian.org>
 Uploaders:
