=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 
@@ -16,7 +16,7 @@
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m nose -v tests/" dh_auto_test
 
 override_dh_auto_install:
-	python setup.py install --root=debian/prospector --install-layout=deb --install-lib=/usr/share/prospector --install-scripts=/usr/share/prospector
+	PYBUILD_SYSTEM=custom PYBUILD_INSTALL_ARGS="{interpreter} setup.py install --root=debian/prospector --install-layout=deb --install-lib=/usr/share/prospector --install-scripts=/usr/share/prospector" dh_auto_install
 
 override_dh_installdocs:
 	pandoc -f rst -t plain -o .pybuild/README README.rst
