=== debian/tests/control ===
Tests: prospector
Depends: python3, python3-nose, python3-yaml, dodgy, python3-pycodestyle, python3-pep8-naming, python3-pyflakes, pylint3, python3-mccabe, pydocstyle
