=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?(\d[\d\.]+)\.tar\.gz/prospector-$1.tar.gz/" \
https://github.com/landscapeio/prospector/releases (?:.*/)?(\d[\d\.]+)\.tar\.gz
# Github tarball ships with tests and doc source
