## prospector 0.12.7

=== debian/changelog ===
prospector (0.12.7-1build1) artful; urgency=medium

  * No-change rebuild against python3.6

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 28 Jul 2017 16:43:46 -0400

prospector (0.12.7-1) unstable; urgency=medium

  * New upstream release.
  * Merge to unstable.
  * Bump Standards-Version to 4.0.0.
  * Update Build-Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 18 Jun 2017 20:14:07 +0800

prospector (0.12.6-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 08 Jun 2017 05:10:19 +0800

prospector (0.12.4-3~exp1) experimental; urgency=medium

  * Change Uploaders to ChangZhuo Chen (Closes: #863363)
  * Bump compat to 10.
  * Update Vcs-* fields to use Git as VCS.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 28 May 2017 17:49:39 +0800
