## prospector 1.1.7

=== debian/changelog ===
prospector (1.1.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dodgy, pydocstyle,
      python3-mccabe, python3-pyflakes and python3-requirements-detector.
    + prospector: Drop versioned constraint on dodgy in Depends.
    + prospector: Drop versioned constraint on vulture in Recommends.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Dec 2022 19:18:09 +0000

prospector (1.1.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/patches/72777c6f96d7c393abf9cc44b423ff0f54029feb.patch
    - Fix test since mixed-indentation does not exists anymore

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Apr 2022 15:05:07 -0400

prospector (1.1.7-2) unstable; urgency=medium

  * Team upload
  * tighteen pylint dependency
    (Closes: #946553)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Dec 2019 11:20:42 +0100

prospector (1.1.7-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release. (Closes: #919793, #896624)
  * Update Vcs-* fields to salsa.
  * Remove upstream already applied patch.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Gianfranco Costamagna ]
  * Team upload.
  * Set R^3 to no
  * Import new upstream release 1.1.7 (Closes: #942408)
  * Bump compat level to 12
  * Bump std-version to 4.4.1
  * Import 0.12.7-2.1 NMU
  * Switch to new pylint, the old pylint3 is now a cruft binary
  * Update watch file for new location
  * Update dependencies according to new version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2019 09:00:35 +0100

prospector (0.12.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh_python3 with --shebang=/usr/bin/python3. Closes: #918427.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Mar 2019 16:31:35 +0100

prospector (0.12.7-2) unstable; urgency=medium

  * Team upload.
  * No-change rebuild for the python 3.6 transition.  Closes: #882789

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Dec 2017 17:44:21 +0100
