=== debian/control ===
Source: prospector
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dodgy,
               pandoc,
               pydocstyle,
               pylint (>= 2.2.2-2~),
               python3,
               python3-astroid,
               python3-coverage,
               python3-mccabe,
               python3-mypy,
               python3-mock,
               python3-nose,
               python3-pep8-naming,
               python3-pycodestyle,
               python3-pyflakes,
               python3-pylint-celery,
               python3-pylint-flask,
               python3-pylint-django,
               python3-requirements-detector,
               python3-setoptconf,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-argparse,
               python3-yaml,
               txt2man,
Standards-Version: 4.6.1
Homepage: https://prospector.readthedocs.org/en/master/
Vcs-Git: https://salsa.debian.org/python-team/packages/prospector.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/prospector
Rules-Requires-Root: no

Package: prospector
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         dodgy,
         python3-mypy,
         python3-pyroma,
         python3-typed-ast
Recommends: vulture
Description: comprehensive static Python code analyzer
 Prospector analyzes Python source files and puts out information about
 coding errors, potential problems, convention violation and unnecessary
 complexity.
 .
 It provides an uniform and flexible interface for these tools:
  - Pylint (extensive Python code checker)
  - Pyflakes (checks Python code for logical errors)
  - Pycodestyle (checks for PEP-8 coding style conventions)
  - Pep8-naming (checks for PEP-8 naming conventions not covered by pycodestyle)
  - McCabe (checks for cyclomatic code complexity)
  - Pydocstyle (checks for compliance with the PEP-257 docstring conventions)
  - Dodgy (checks for hard coded passwords, VCS diff checkins etc.)
  - Vulture (scans Python programs for unused code)
  - Pyroma (Python packaging quality checker)
 .
 Prospector detects if code employs specific frameworks and libraries,
 and checks them by corresponding Pylint plugins:
  - Django (web application framework)
  - Celery (asynchronous task/job queue)
  - Flask (web application framework)
