=== docs/requirements.txt ===
sphinx>=5.0.0,<8
sphinx-argparse
