=== debian/changelog ===
prospector (1.10.3-3) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Disable test_forced_include (Closes: #1114270)
  * Rewrite d/watch in v5 format

  [ Yifei Zhan ]
  * Add missing runtime dependency on setoptconf (Closes: #1109437)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 12 Feb 2026 08:01:14 +0100

prospector (1.10.3-2) unstable; urgency=medium

  * Team upload.
  * Do not generate a dependency on python3-toml
  * Replace old FSF mail address in d/copyright with URL

 -- Alexandre Detiste <tchet@debian.org>  Tue, 27 May 2025 00:46:11 +0200

prospector (1.10.3-1) unstable; urgency=medium

  * Team Upload
  * Fix watchfile for new Github API
  * New upstream version 1.10.3 (Closes: #947551, #963509, #1071808)
  * Pylint support plugin is temporarily patched-out.
  * Update build-dependencies:
    + dh-sequence-python3
    + pybuild-plugin-pyproject
    + python3-bandit
    - python3-mock
    - python3-nose (Closes: #1018441)
    + python3-poetry-core
    + python3-pytest
    + python3-pyroma
    + python3-vulture
  * Remove dependency on python3-typed-ast (Closes: #1055672)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 05 Aug 2024 22:41:53 +0200
