=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=prospector
export PYBUILD_TEST_ARGS=-k '    not test_non_subpath \
                            and not test_ignored \
                            and not test_total_errors \
                            and not test_module_file_inheritance \
                            and not test_module_inheritance \
                            and not test_filter_messages \
                            and not test_filter_messages_negative \
                            and not test_good_options \
                            and not test_absolute_path_is_computed_correctly \
                            and not test_parallel_execution \
                            and not test_pylint_config \
                            and not test_will_throw_useless_suppression \
                            and not test_wont_throw_false_positive_relative_beyond_top_level \
                                \
                            and not test_disable_tool \
                            and not test_empty_disable_list \
                            and not test_empty_profile \
                            and not test_load_plugins \
                            and not test_disable_tool_inheritance \
                            and not test_precedence \
                            and not test_shorthand_inheritance \
                            and not test_simple_inheritance \
                            and not test_strictness_equivalence \
                            and not test_tool_enabled \
                            and not test_forced_include \
                                '

include /usr/share/dpkg/pkg-info.mk
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_install:
	echo '#!/usr/bin/python3' > debian/prospector/usr/bin/prospector
	cat prospector/run.py >> debian/prospector/usr/bin/prospector
	chmod +x debian/prospector/usr/bin/prospector

override_dh_installman:
	txt2man -s 1 -v "prospector" -t "prospector" -r "$(DEB_VERSION_UPSTREAM)" -d "$(DEBDATE)" debian/prospector.txt > .pybuild/prospector.1
	dh_installman .pybuild/prospector.1
