=== debian/watch ===
Version: 5

Template: GitHub
Owner: PyCQA
Project: prospector
